/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.attachment.db.entity;


import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.s3.NKFile;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;

/**
 * 附件表
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public class Attachment extends TenantPartition implements NKFile, POJO
{
  /**
   * 文件id，seaweedfs 文件Id
   */
  private String id;
  /**
   * 文件名称
   */
  private String fileName;
  /**
   * 文件类型
   */
  private String contentType;
  /**
   * 文件长度byte
   */
  private Long length;
  /**
   * 关联对象
   */
  private String objId;
  /**
   * 文件业务类型
   */
  private String businessCode;
  /**
   * 超时时间
   */
  private Date overTime;
  /**
   * 创建人
   */
  private String createdBy;
  /**
   * 创建时间
   */
  private Date createdTime;
  /**
   * 是否删除
   */
  private Boolean deleted;
  /**
   * 状态
   */
  private Integer status;
  /**
   * 租户
   */
  private String tenantId;
  /**
   * 新文件
   */
  private String newFile;

  @Override
  public String getSchemaSuffix()
  {
    return "";
  }

  @Override
  public String getTableSuffix()
  {
    return "_" + tenantId;
  }

  @Override
  public String getId()
  {
    return id;
  }

  @Override
  public void setId(String id)
  {
    this.id = id;
  }

  @Override
  public String getFileName()
  {
    return fileName;
  }

  @Override
  public void setFileName(String fileName)
  {
    this.fileName = fileName;
  }

  @Override
  public String getContentType()
  {
    return contentType;
  }

  @Override
  public void setContentType(String contentType)
  {
    this.contentType = contentType;
  }

  @Override
  public Long getLength()
  {
    return length;
  }

  @Override
  public void setLength(long length)
  {
    this.length = length;
  }

  @Override
  public String getCreatedBy()
  {
    return createdBy;
  }

  @Override
  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }

  @Override
  public Date getCreatedTime()
  {
    return createdTime;
  }

  @Override
  public void setCreatedTime(Date createdTime)
  {
    this.createdTime = createdTime;
  }

  public Boolean isDeleted()
  {
    return deleted;
  }

  public void setDeleted(boolean deleted)
  {
    this.deleted = deleted;
  }

  @Override
  public String getTenantId()
  {
    return tenantId;
  }

  @Override
  public void setTenantId(String tenantId)
  {
    this.tenantId = tenantId;
  }

  public Integer getStatus()
  {
    return status;
  }

  public void setStatus(int status)
  {
    this.status = status;
  }

  public String getNewFile() {
    return newFile;
  }

  public void setNewFile(String newFile) {
    this.newFile = newFile;
  }

  public String getObjId() {
    return objId;
  }

  public void setObjId(String objId) {
    this.objId = objId;
  }

  public String getBusinessCode() {
    return businessCode;
  }

  public void setBusinessCode(String businessCode) {
    this.businessCode = businessCode;
  }

  public Date getOverTime() {
    return overTime;
  }

  public void setOverTime(Date overTime) {
    this.overTime = overTime;
  }
}
